import pickle
import sys

from cuckoopy import CuckooFilter
from pybloom_live import BloomFilter

b = BloomFilter(capacity=100000, error_rate=0.0001)
print(sys.getsizeof(pickle.dumps(b).decode("latin1")))
print(sys.getsizeof(b))

ck = CuckooFilter(capacity=100000, bucket_size=4, fingerprint_size=1)
print(sys.getsizeof(pickle.dumps(ck).decode("latin1")))
print(sys.getsizeof(ck))

print(sys.getsizeof(bytes[10000]))